agentOwner
Owner of an agent; user is null when the agent is not authorized
POST/infotype
agentOwnerCheck whether an agent key is still authorized, and for which account.
Request body
agentstringrequired
Agent wallet address.
typestringrequired
Request example
curl -X POST https://rpc.txflow-testnet.xyz/info \
-H "Content-Type: application/json" \
-H "x-api-version: 2026-08-16" \
-d '{
"agent": "0x0000000000000000000000000000000000000000",
"type": "agentOwner"
}'Try it
Response · AgentOwnerResponse 200
codeinteger
`0` on success.
dataAgentOwnerResponse
agentstring
userstringnullable
Owner wallet address; `None`/absent when the agent is not an authorized agent of any account. Callers derive authorization from `user.is_some()`.
successboolean
`false` on error, with `code` set and the text in `message` instead of `data`.
Response example
{
"success": true,
"code": 0,
"data": {
"agent": "0x0000000000000000000000000000000000000000",
"user": "0x0000000000000000000000000000000000000000"
}
}